POST api/pcconfigapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
PcConfigViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| id | globally unique identifier |
None. |
|
| key | globally unique identifier |
Required |
|
| pc_id | globally unique identifier |
Required |
|
| value | string |
String length: inclusive between 0 and 100 |
Request Formats
application/json, text/json
Sample:
{
"active": true,
"id": "e78402f3-c164-4f3c-a329-0c4597a8764e",
"key": "1377269b-8054-4535-a679-97e8151d42d9",
"pc_id": "8b039dea-3297-4e0a-9aa8-56cc98ba2421",
"value": "sample string 3"
}
application/xml, text/xml
Sample:
<pc_config xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <id>e78402f3-c164-4f3c-a329-0c4597a8764e</id> <key>1377269b-8054-4535-a679-97e8151d42d9</key> <pc_id>8b039dea-3297-4e0a-9aa8-56cc98ba2421</pc_id> <value>sample string 3</value> </pc_config>
application/x-www-form-urlencoded
Sample:
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"48cc6e3b-88eb-4a48-bdbf-29ef48b94567"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">48cc6e3b-88eb-4a48-bdbf-29ef48b94567</guid>